"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Theme_1 = require("../modules/theme/Theme");
var PropTypes = require('prop-types');
// export type ThemeCallback<T> = (theme: ThemeVars) => T;
var BaseComponent = (function (_super) {
    __extends(BaseComponent, _super);
    function BaseComponent(props, context) {
        var _this = _super.call(this, props, context) || this;
        _this.updateTheme(false);
        return _this;
    }
    BaseComponent.prototype.updateTheme = function (reload) {
        this.theme = Theme_1.default.vars;
        this.styles = this.loadStyles(this.theme);
        reload && this.forceUpdate();
    };
    BaseComponent.prototype.componentDidUpdate = function (prevProps, prevState, prevContext) {
        var reloadTheme = prevContext.theme !== this.context.theme;
        if (reloadTheme) {
            this.updateTheme(true);
        }
    };
    return BaseComponent;
}(React.Component));
BaseComponent.contextTypes = {
    theme: PropTypes.string,
};
exports.default = BaseComponent;
