/// <reference types="react" />
import { ImageStyle } from 'react-native';
import { ImageProps } from './Image';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
import BaseComponent from '../BaseComponent';
export interface BlurImageProps extends ImageProps {
    style?: ImageStyle;
}
export interface State {
}
export default class BlurImageIOS extends BaseComponent<BlurImageProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ImageStyle;
    };
}
