/// <reference types="react" />
import { ViewStyle } from 'react-native';
import { ViewProps } from './View';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ContainerProps extends ViewProps {
    maxWidth?: number;
    noScroll?: boolean;
    style?: ViewStyle;
}
export interface State {
}
export default class Container extends BaseComponent<ContainerProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        scrollViewContainer: ViewStyle;
        container: ViewStyle;
    };
}
