/// <reference types="react" />
import { ViewStyle } from 'react-native';
import { DrawerProps } from './Drawer';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface DrawerTabletProps extends DrawerProps {
    children?: JSX.Element;
    content: JSX.Element;
    leftStyle?: ViewStyle;
    onOpenStart?: () => void;
    onCloseStart?: () => void;
}
export interface State {
}
export default class DrawerTablet extends BaseComponent<DrawerTabletProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        left: ViewStyle;
        right: ViewStyle;
    };
}
