/// <reference types="react" />
import { ImageProperties, ImageStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ImageProps extends ImageProperties {
    style?: ImageStyle;
}
export interface State {
}
export default class Image extends BaseComponent<ImageProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ImageStyle;
    };
}
