/// <reference types="react" />
import { ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface LoadingProps {
    style?: ViewStyle;
    color?: string;
    size: 'small' | 'large' | number;
}
export interface State {
}
export default class Loading extends BaseComponent<LoadingProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {};
}
