/// <reference types="react" />
import { StatusBarProperties, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface StatusBarViewProps extends StatusBarProperties {
    backgroundColor?: string;
    barStyle?: 'default' | 'light-content';
}
export interface State {
}
export default class StatusBarView extends BaseComponent<StatusBarViewProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
    };
}
