/// <reference types="react" />
import { TextProperties, TextStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface TextProps extends TextProperties {
    style?: TextStyle;
}
export interface State {
}
export default class Text extends BaseComponent<TextProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: TextStyle;
    };
}
