/// <reference types="react" />
import { TextStyle } from 'react-native';
import { TextProps } from './Text';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface TitleProps extends TextProps {
    style?: TextStyle;
    center?: boolean;
    size?: 'small' | 'normal' | 'medium' | 'large' | number;
}
export interface State {
}
export default class Title extends BaseComponent<TitleProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        center: {
            textAlign: string;
        };
        container: TextStyle;
    };
}
