/// <reference types="react" />
import { LayoutChangeEvent, ViewProperties, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ViewProps extends ViewProperties {
    style?: ViewStyle;
    onLayout?: (event: LayoutChangeEvent) => void;
}
export interface State {
}
export default class View extends BaseComponent<ViewProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
    };
}
