/// <reference types="react" />
import { ViewProps } from './View';
import { ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ViewSpacerProps extends ViewProps {
    style?: ViewStyle;
    spacing?: number;
}
export interface State {
}
export default class ViewSpacer extends BaseComponent<ViewSpacerProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
    };
}
