/// <reference types="react" />
import { ImageStyle, ViewStyle } from 'react-native';
import { ImageProps } from './Image';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface BlurImageProps extends ImageProps {
    style?: ImageStyle;
}
export interface State {
}
export default class BlurImage extends BaseComponent<BlurImageProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        image: ImageStyle;
    };
}
