/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface DrawerFooterProps extends ViewStyle {
    children?: JSX.Element;
    text?: string;
    icon?: string;
    style?: ViewStyle;
    iconStyle?: TextStyle;
    textStyle?: TextStyle;
}
export interface State {
}
export default class DrawerFooter extends BaseComponent<DrawerFooterProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        labelContainer: ViewStyle;
        label: TextStyle;
        icon: TextStyle;
    };
}
