/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import { LinkProps } from './Link';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
import BaseComponent from '../BaseComponent';
export interface HeaderActionProps extends LinkProps {
    title?: string;
    onPress?: () => void;
}
export interface State {
}
export default class HeaderAction extends BaseComponent<HeaderActionProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        link: ViewStyle;
        icon: TextStyle;
    };
}
