/// <reference types="react" />
import { TextStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export declare type IconType = 'material';
export interface IconProps {
    type?: IconType;
    style?: TextStyle;
    size?: number;
    name: string;
}
export interface State {
}
export default class Icon extends BaseComponent<IconProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {};
}
