"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_native_1 = require("react-native");
var BaseComponent_1 = require("../BaseComponent");
var RefreshControl = (function (_super) {
    __extends(RefreshControl, _super);
    function RefreshControl() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RefreshControl.prototype.render = function () {
        var theme = this.theme;
        return (React.createElement(react_native_1.RefreshControl, __assign({ style: { backgroundColor: 'transparent' }, tintColor: theme.refreshControlTintColor, colors: [theme.refreshControlColor] }, this.props)));
    };
    RefreshControl.prototype.loadStyles = function (theme) {
        return {};
    };
    return RefreshControl;
}(BaseComponent_1.default));
exports.default = RefreshControl;
