/// <reference types="react" />
import { ScrollView as ScrollViewBase, ScrollViewProperties, ScrollViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ScrollViewProps extends ScrollViewProperties {
    style?: ScrollViewStyle;
}
export interface State {
}
export default class ScrollView extends BaseComponent<ScrollViewProps, State> {
    refs: {
        [string: string]: any;
        scrollView: ScrollViewBase;
    };
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ScrollViewStyle;
    };
}
