/// <reference types="react" />
import { TouchableOpacityProperties, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface TouchableProps extends TouchableOpacityProperties {
    style?: ViewStyle;
    onPress?: () => void;
}
export interface State {
}
export default class Touchable extends BaseComponent<TouchableProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {};
}
